#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), remove when upstream will support it
%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	PostgreSQL binding for OCaml
Summary(pl.UTF-8):	Wiązania PostgreSQL dla OCamla
Name:		ocaml-pg
Version:	2.1
Release:	4
License:	LGPL + OCaml linking exception
Group:		Libraries
Source0:	http://forge.ocamlcore.org/frs/download.php/1413/pgocaml-%{version}.tgz
# Source0-md5:	a05383cfdb34478eac93d9c84f2f2e77
URL:		http://pgocaml.forge.ocamlcore.org/
BuildRequires:	ocaml >= 1:3.10.0
BuildRequires:	ocaml-calendar-devel
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-csv-devel
BuildRequires:	ocaml-findlib
BuildRequires:	ocaml-pcre-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PG'OCaml is a type-safe, simple interface to PostgreSQL from OCaml.
It lets you embed SQL statements directly into OCaml code.

%description -l pl.UTF-8
PG'OCaml to prosty, bezpieczny pod względem typów interfejs do
PostgreSQL-a dla OCamla. Pozwala osadzać instrukcje SQL bezpośrednio
w kodzie w OCamlu.

%package devel
Summary:	PostgreSQL binding for OCaml
Summary(pl.UTF-8):	Wiązania PostgreSQL dla OCamla
Group:		Development/Libraries
Requires:	ocaml-calendar-devel
Requires:	ocaml-csv-devel
Requires:	ocaml-pcre-devel
%requires_eq	ocaml

%description devel
PG'OCaml is a type-safe, simple interface to PostgreSQL from OCaml.
It lets you embed SQL statements directly into OCaml code.

%description devel -l pl.UTF-8
PG'OCaml to prosty, bezpieczny pod względem typów interfejs do
PostgreSQL-a dla OCamla. Pozwala osadzać instrukcje SQL bezpośrednio
w kodzie w OCamlu.

%prep
%setup -q -n pgocaml-%{version}

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r tests/*.ml utils/pgocaml_prof.ml $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# META for findlib
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/pgocaml
echo 'directory = "+pgocaml"' >> src/META
install src/META $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/pgocaml

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc README* doc/*.txt src/*.mli
%dir %{_libdir}/ocaml/pgocaml
%{_libdir}/ocaml/pgocaml/*.cma
%{_libdir}/ocaml/pgocaml/*.cm[oix]
%if %{with ocaml_opt}
%{_libdir}/ocaml/pgocaml/*.a
%{_libdir}/ocaml/pgocaml/*.cmxa
%endif
%{_libdir}/ocaml/pgocaml/*.mli
%{_libdir}/ocaml/pgocaml/PGOCaml_config.ml
%{_libdir}/ocaml/pgocaml/pa_pgsql.ml
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/pgocaml
%changelog
* Mon Jun 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-pg.git;a=log;h=auto/th/ocaml-pg-2.1-4

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 871cccb
- rebuild with ocaml 4.04.1
- release 4 (by relup.sh)

* Sat Mar 19 2016 Jan Rękorajski <baggins@pld-linux.org> 084b63c
- release 3 (by relup.sh)

* Sun Jul 26 2015 Jan Rękorajski <baggins@pld-linux.org> c8e94dc
- add ocaml_opt bcond
- rel 2

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> b69e134
- up to 2.1

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 700a249
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Tue Feb 25 2014 Jan Rękorajski <baggins@pld-linux.org> 969e0f7
- removed obsolete patches

* Tue Feb 25 2014 Jan Rękorajski <baggins@pld-linux.org> 64e4f3a
- require batteries
- rel 1

* Tue Feb 25 2014 Jan Rękorajski <baggins@pld-linux.org> 68cd9ae
- updated to 1.7.1

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> f004d3f
- rel 8
- fix building with latest calendar

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> a6ad662
- rel 7

* Sat Apr 18 2009 areq <areq@pld-linux.org> 48747ab
- rel 6

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 43c63d8
- release 5

* Sun Mar 09 2008 Jakub Bogusz <qboosh@pld-linux.org> e616654
- pl

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 48e213c
- rel 4

* Tue Dec 18 2007 Jan Rękorajski <baggins@pld-linux.org> 0c1b790
- rel 3
- added missing file

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> 5e15526
- rel 2
- add R to devel

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> f63dc0b
- rel 1

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> a225d0a
- builds

* Sun Dec 02 2007 Jan Rękorajski <baggins@pld-linux.org> 9ccb83b
- don't build/run tests as they requires running postgres

* Tue Nov 27 2007 Jan Rękorajski <baggins@pld-linux.org> d931773
- proper license
- proper ocaml BR

